// SQLInfoEnumerator.h: interface for the CSQLInfoEnumerator class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SQLENUMERATE_H__8DB40743_0B77_11D4_AB80_0050BAD05CD9__INCLUDED_)
#define AFX_SQLENUMERATE_H__8DB40743_0B77_11D4_AB80_0050BAD05CD9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <sql.h>
#include <sqlext.h>

#define MAX_RET_LENGTH	4824

class CSQLInfoEnumerator  
{
public:
	CSQLInfoEnumerator();
	virtual ~CSQLInfoEnumerator();
	int m_iRetcode;
public:
	CStringArray m_szSQLServersArray;
	CStringArray m_szSQLServerDatabaseArray;
	CStringArray m_szSQLServerLanguageArray;
public:
	BOOL EnumerateDatabase(LPCTSTR pszSQLServer,LPCTSTR pszUserId,LPCTSTR pszPwd);
	BOOL EnumerateDatabaseLanguage(LPCTSTR pszSQLServer,LPCTSTR pszUserId,LPCTSTR pszPwd);
	BOOL EnumerateSQLServers();
protected:
	BOOL RetrieveInformation(LPCTSTR pszInputParam,LPCTSTR pszLookUpKey,CStringArray &szArray);
	BOOL FillupStringArray(LPCTSTR pszData,CStringArray &szArray,TCHAR chSep = ',');
	BOOL ClearAll();
};

#endif // !defined(AFX_SQLENUMERATE_H__8DB40743_0B77_11D4_AB80_0050BAD05CD9__INCLUDED_)
